%define githash 228cc10a 
%define gitdate 20210203

%define major	4
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

%define major_cxx 4
%define libname_cxx %mklibname %{name}++ %{major_cxx}
%define devname_cxx %mklibname -d %{name}++
%define rel		1
Summary:		Control radio transceivers and receivers
Name:			hamlib
Version:		4.2
Release:		%mkrel -c %{gitdate}%{githash} %{rel}
License:		LGPLv2+
Group:			Communications/Radio
Url:			http://hamlib.sourceforge.net
# Check for new snapshots at http://n0nb.users.sourceforge.net/
Source0:		http://n0nb.users.sourceforge.net/%{name}-%{version}~git-%{githash}-%{gitdate}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool-base
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libusb) >= 0.1
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	libltdl-devel

%description
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package -n %{libname}
Summary:	Run-time library to control radio transceivers and receivers
Group:		Communications/Radio
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name} < %{version}-%{release}

%description -n %{libname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package utils
Summary:	Utilities to support the hamlib radio control library
Group:		Communications/Radio

%description utils
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides a command-line utility to test the hamlib library and
to control transceivers if you're short of anything more sophisticated.

%package -n %{devname}
Summary:	Development library to control radio transcievers and receivers
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}

%description -n %{devname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides the development files and headers.

%package -n %{libname_cxx}
Summary:	Hamlib radio control library C++ binding
Group:		Communications/Radio

%description -n %{libname_cxx}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package contains Hamlib radio control library C++ language binding.

%package -n %{devname_cxx}
Summary:	Hamlib radio control library C++ binding development headers and libraries
Group:		Development/C++
Requires:	%{libname_cxx} = %{version}-%{release}
Provides:	%{name}++-devel = %{version}-%{release}
Provides:	lib%{name}++-devel = %{version}-%{release}

%description -n %{devname_cxx}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package contains Hamlib radio control library C++ binding development
headers and libraries for building C++ applications with Hamlib.

%prep
%autosetup -p1 -n %{name}-%{version}~git

sed -i 's:@PACKAGE_VERSION@:%{version}:' hamlib.pc.in

%build

#./bootstrap #Only if building from git
#automake --add-missing
#aclocal
#autoreconf -ivf

%configure \
	--disable-static \
	--without-perl-binding \
	--without-python-binding
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%doc AUTHORS ChangeLog PLAN README THANKS
%{_libdir}/libhamlib.so.%{major}{,.*}
%{_libdir}/libhamlib.so

%files -n %{libname_cxx}
%{_libdir}/libhamlib++.so.%{major_cxx}{,.*}

%files utils
%{_mandir}/man*/*
%{_bindir}/*

%files -n %{devname}
%doc README.developer
%{_defaultdocdir}/%{name}/*
#{_infodir}/hamlib.info.xz
%dir %{_includedir}/%{name}

%{_includedir}/%{name}/rig.h
%{_includedir}/%{name}/riglist.h
%{_includedir}/%{name}/rig_dll.h
%{_includedir}/%{name}/rotator.h
%{_includedir}/%{name}/rotlist.h
%{_includedir}/%{name}/ampclass.h
%{_includedir}/%{name}/amplifier.h
%{_includedir}/%{name}/amplist.h
%{_datadir}/aclocal/hamlib.m4
%{_libdir}/pkgconfig/hamlib.pc
%{_libdir}/libhamlib.so

%files -n %{devname_cxx}
%doc README.developer
%{_libdir}/libhamlib++.so
%{_includedir}/%{name}/rigclass.h
%{_includedir}/%{name}/rotclass.h


%changelog
* Thu Feb 04 2021 barjac <barjac> 4.2-0.20210203228cc10a.1.mga8
+ Revision: 1674785
- new version 4.2 snapshot on 20210203

* Sat Oct 31 2020 barjac <barjac> 4.1-0.2020103006cc95de.1.mga8
+ Revision: 1640755
- new version 4.1~git-06cc95de-20201030

* Tue Jun 09 2020 barjac <barjac> 4.0-0.20200608ee670310.1.mga8
+ Revision: 1591412
- new snapshot
- remove redundant configure option
- add make check

* Thu Feb 20 2020 umeabot <umeabot> 4.0-0.20200201e1e6969e.2.mga8
+ Revision: 1546303
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 4.0-0.20200201e1e6969e.1.mga8
+ Revision: 1486346
- new version 4.0~git snapshot
- usa a daily build as releases have dried up
- new major 4
- fix .pc.in to actually work
- fix files lists
- reverse the githash-date from upstream tarball so new releases will update
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 30 2018 barjac <barjac> 3.3-1.mga7
+ Revision: 1326791
- new version 3.3
- update some spec macros

* Sun Sep 23 2018 umeabot <umeabot> 3.2-2.mga7
+ Revision: 1298163
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 barjac <barjac> 3.2-1.mga7
+ Revision: 1220023
- new version 3.2

* Mon Jan 16 2017 barjac <barjac> 3.1-1.mga6
+ Revision: 1082056
- new version 3.1
- fix files list

* Thu Jan 07 2016 barjac <barjac> 3.0.1-1.mga6
+ Revision: 920311
- new version 3.0.1

* Sun Sep 27 2015 barjac <barjac> 3.0-1.mga6
+ Revision: 884089
- new version 3.0
- fix files list

* Wed Oct 15 2014 umeabot <umeabot> 1.2.15.3-7.mga5
+ Revision: 749786
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.15.3-6.mga5
+ Revision: 680073
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.15.3-5.mga4
+ Revision: 529508
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 1.2.15.3-4.mga4
+ Revision: 452153
- correct br

* Tue Jul 09 2013 fwang <fwang> 1.2.15.3-3.mga4
+ Revision: 452118
- rebuild for new boost

* Sat Jan 12 2013 umeabot <umeabot> 1.2.15.3-2.mga3
+ Revision: 353078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 barjac <barjac> 1.2.15.3-1.mga3
+ Revision: 316521
- new version 1.2.15.3
- some spec cleaning

* Fri Sep 28 2012 barjac <barjac> 1.2.15.2-2.mga3
+ Revision: 299048
- Changed group to new policy

* Thu Aug 16 2012 fedya <fedya> 1.2.15.2-1.mga3
+ Revision: 281501
- version update 1.2.15.2

* Sun Jun 10 2012 barjac <barjac> 1.2.15.1-1.mga3
+ Revision: 259158
- New version 1.12.15.1

* Thu Feb 09 2012 barjac <barjac> 1.2.15-1.mga2
+ Revision: 206690
- New version 1.2.15
- Removed --with-usrp and other invalid options

* Wed Jan 04 2012 barjac <barjac> 1.2.13.1-1.mga2
+ Revision: 190563
- Spec cleaned
- imported package hamlib


* Sun May 29 2011 Jani Välimaa <wally@mandriva.org> 1.2.13.1-1mdv2011.0
+ Revision: 681719
- new version 1.2.13.1

* Mon Mar 14 2011 Jani Välimaa <wally@mandriva.org> 1.2.13-1
+ Revision: 644611
- add libltdl-devel BR
- new version 1.2.13

* Fri Jan 07 2011 Jani Välimaa <wally@mandriva.org> 1.2.12-4mdv2011.0
+ Revision: 629631
- add boost-devel BR
- build with USRP backend

* Wed Dec 15 2010 Jani Välimaa <wally@mandriva.org> 1.2.12-3mdv2011.0
+ Revision: 621891
- obsolete old hamlib-devel package
- fix provides

* Tue Dec 14 2010 Jani Välimaa <wally@mandriva.org> 1.2.12-2mdv2011.0
+ Revision: 621828
- libify hamlib
- split utils to a separate subpackage
- enable subpackages for c++ binding and c++ binding devel headers and libraries
- clean .spec

  + Thomas Spuhler <tspuhler@mandriva.org>
    - cleaned specfile
    - fixed spelling in description

* Sun Oct 24 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.2.12-1mdv2011.0
+ Revision: 587823
- changed Group to Development/Other
- added autoreconf -fi
- re-aclocaled
- import hamlib

